#!/bin/bash
if [ -z "$VTKDIR" ]
then
  export VTKDIR='e:\vtk42'
fi
if [ -z "$VTKBIN" ]
then
  export VTKBIN="$VTKDIR\\bin"
fi
if [ -z "$VTKDATA" ]
then
  export VTKDATA="$VTKDIR\\VTKData"
fi
if [ "x$1" == "xveryclean" ]
then
  for i in Makefile.*
  do
    if [ -r "$i" ]
    then
      nmake -f "$i" clean
      rm -f "$i"
    fi
  done
  rm -f *.exe
  for i in *.in
  do
    rm -f `basename "$i" .in`
  done
  exit
fi
for i in *.in
do
  v=`echo "$VTKDATA"|tr '\\\\' '/'`
  sed 's,$(VTKDATA),'"$v"',g' < "$i" > `basename "$i" .in`
done
for i in *.pro
do
  m=Makefile.`basename "$i" .pro`
  if [ ! -r "$m" ]
  then
    qmake -o "$m" "$i"
  fi
  nmake -f "$m" "$@"
done
if [ "x$1" == "xclean" ]
then
  rm -f *.o
fi

