#include "qvExample.h"

QVExample::QVExample() {
    setCaption("Another Example for Qt and VTK together");

    QPopupMenu *popup = new QPopupMenu;
    popup->insertItem("Exit", qApp, SLOT(quit()));
    
    QMenuBar *menuBar = new QMenuBar(this);
    menuBar->insertItem("File", popup);

    renderWindowLeft = new vtkQtRenderWindow(this);
    renderWindowRight = new vtkQtRenderWindow(this);
    vtkQtRenderWindowInteractor *interactorLeft = vtkQtRenderWindowInteractor::New();
    vtkQtRenderWindowInteractor *interactorRight = vtkQtRenderWindowInteractor::New();
    interactorLeft->SetRenderWindow(renderWindowLeft);
    interactorRight->SetRenderWindow(renderWindowRight);
    renderWindowLeft->show();
    renderWindowRight->show();

    interactorLeft->SetDesiredUpdateRate(3.0);
    interactorLeft->SetStillUpdateRate(0.001);

    interactorRight->SetDesiredUpdateRate(3.0);
    interactorRight->SetStillUpdateRate(0.001);

    leftRenderer = NULL;
    rightRenderer = NULL;

    QHBoxLayout *layTop = new QHBoxLayout(this);
    layTop->addWidget(renderWindowLeft);
    layTop->addWidget(renderWindowRight);
}

void QVExample::setLeftRenderer(vtkRenderer *renderer) {
    if (!renderer)
	return;
    if (leftRenderer)
	renderWindowLeft->RemoveRenderer(leftRenderer);
    leftRenderer = renderer;
    renderWindowLeft->AddRenderer(renderer);
}

void QVExample::setRightRenderer(vtkRenderer *renderer) {
    if (!renderer)
	return;
    if (rightRenderer)
	renderWindowLeft->RemoveRenderer(rightRenderer);
    rightRenderer = renderer;
    renderWindowRight->AddRenderer(renderer);
}

