/*=========================================================================
  vtkQtRenderWindow.h - copyright 2000 Matthias Koenig 
  koenig@isg.cs.uni-magdeburg.de
  http://wwwisg.cs.uni-magdeburg.de/~makoenig
  =========================================================================*/
#include "vtkRenderer.h"
#include "vtkQtRenderWindow.h"
#include "vtkQtRenderWindowInteractor.h"
#include "vtkTextMapper.h"
#include "vtkActor2D.h"

int main( int argc, char *argv[] ) {
  // create a rendering window and renderer
  vtkRenderer *ren = vtkRenderer::New();
  vtkQtRenderWindow *renWindow = vtkQtRenderWindow::New();
//  vtkRenderWindow *renWindow = vtkRenderWindow::New();
  renWindow->AddRenderer(ren);
  vtkQtRenderWindowInteractor *iren = vtkQtRenderWindowInteractor::New();
//  vtkRenderWindowInteractor *iren = vtkRenderWindowInteractor::New();
  iren->SetRenderWindow(renWindow);
  renWindow->SetSize( 300, 300 );
    
  vtkTextMapper *textMapper = vtkTextMapper::New();
  textMapper->SetInput("Text in 2D mode");
  textMapper->SetFontSize(20);
  vtkActor2D *textActor = vtkActor2D::New();
  textActor->SetLayerNumber(0);
  textActor->SetMapper(textMapper);
  ren-> AddActor2D(textActor);

  ren->SetBackground(.1,.2,.4);

  // draw the resulting scene
  renWindow->Render();
  
  //  Begin mouse interaction
  iren->Start();
  
  // Clean up
  ren->Delete();
  renWindow->Delete();
  iren->Delete();

  return 0;
}


